Resource Center/Network Service/Network Service Operations/EIP Operations
DELETEEIP OperationsSince 0.6SynchronousAuth Required
DetachEip
DetachEip
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe EIP UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/eips/6e1a3bdbe38045658546a6b7fb3df990/vm-instances/nics?
/zstack/v1/eips/6e1a3bdbe38045658546a6b7fb3df990/vm-instances/nics?
Request Example
curl -X DELETE 'http://{host}/zstack/v1/eips/6e1a3bdbe38045658546a6b7fb3df990/vm-instances/nics?' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
